Index: /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F	(revision 305)
+++ /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F	(revision 305)
@@ -0,0 +1,391 @@
+      SUBROUTINE iniwrite_specIR(nid,idayref,phis)
+
+      use radinc_h, only: L_NSPECTI
+      use radcommon_h, only: WAVEI
+
+      implicit none
+
+c=======================================================================
+c
+c   Auteur:  L. Fairhead  ,  P. Le Van, Y. Wanherdrick, F. Forget
+c   -------
+c
+c   Objet:
+c   ------
+c
+c   'Initialize' the diagfi_spec.nc file: write down dimensions as well
+c   as time-independent fields (e.g: geopotential, mesh area, ...)
+c
+c=======================================================================
+c-----------------------------------------------------------------------
+c   Declarations:
+c   -------------
+
+#include "dimensions.h"
+#include "paramet.h"
+!include "comconst.h"
+#include "comcstfi.h"
+#include "comvert.h"
+#include "comgeom.h"
+#include "temps.h"
+#include "ener.h"
+#include "logic.h"
+#include "netcdf.inc"
+#include "description.h"
+#include "serre.h"
+#include"dimphys.h"
+#include"comsoil.h"
+
+c   Arguments:
+c   ----------
+
+      integer nid        ! NetCDF file ID
+      INTEGER*4 idayref  ! date (initial date for this run)
+      REAL phis(ip1jmp1) ! surface geopotential
+
+c   Local:
+c   ------
+      INTEGER length,l
+      parameter (length = 100)
+      REAL tab_cntrl(length) ! run parameters are stored in this array
+      INTEGER ierr
+
+      integer :: nvarid,idim_index,idim_rlonu,idim_rlonv
+      integer :: idim_rlatu,idim_rlatv,idim_llmp1,idim_llm
+ !     integer :: idim_nsoilmx ! "subsurface_layers" dimension ID #
+      integer :: idim_bandsIR ! "bandsIR" dimension ID #
+      integer, dimension(2) :: id  
+
+c-----------------------------------------------------------------------
+
+      DO l=1,length
+         tab_cntrl(l)=0.
+      ENDDO
+      tab_cntrl(1)  = FLOAT(iim)
+      tab_cntrl(2)  = FLOAT(jjm)
+      tab_cntrl(3)  = FLOAT(llm)
+      tab_cntrl(4)  = FLOAT(idayref)
+      tab_cntrl(5)  = rad
+      tab_cntrl(6)  = omeg
+      tab_cntrl(7)  = g
+      tab_cntrl(8)  = mugaz
+      tab_cntrl(9)  = rcp
+      tab_cntrl(10) = daysec
+      tab_cntrl(11) = dtphys
+      tab_cntrl(12) = etot0
+      tab_cntrl(13) = ptot0
+      tab_cntrl(14) = ztot0
+      tab_cntrl(15) = stot0
+      tab_cntrl(16) = ang0
+c
+c    ..........    P.Le Van  ( ajout le 8/04/96 )    .........
+c         .....        parametres  pour le zoom          ......   
+      tab_cntrl(17)  = clon
+      tab_cntrl(18)  = clat
+      tab_cntrl(19)  = grossismx
+      tab_cntrl(20)  = grossismy
+c
+c     .....   ajout  le 6/05/97 et le 15/10/97  .......
+c
+      IF ( fxyhypb )   THEN
+        tab_cntrl(21) = 1.
+        tab_cntrl(22) = dzoomx
+        tab_cntrl(23) = dzoomy
+      ELSE
+        tab_cntrl(21) = 0.
+        tab_cntrl(22) = dzoomx
+        tab_cntrl(23) = dzoomy
+        tab_cntrl(24) = 0.
+        IF( ysinus )  tab_cntrl(24) = 1.
+      ENDIF
+
+c    .........................................................
+
+! Define dimensions
+    
+      ierr = NF_REDEF (nid)
+
+      ierr = NF_DEF_DIM (nid, "index", length, idim_index)
+!      ierr = NF_DEF_DIM (nid, "rlonu", iip1, idim_rlonu)
+      ierr = NF_DEF_DIM (nid, "latitude", jjp1, idim_rlatu)
+      ierr = NF_DEF_DIM (nid, "longitude", iip1, idim_rlonv)
+!      ierr = NF_DEF_DIM (nid, "rlatv", jjm, idim_rlatv)
+!      ierr = NF_DEF_DIM (nid, "interlayer", (llm+1), idim_llmp1)
+      ierr = NF_DEF_DIM (nid, "altitude", llm, idim_llm)
+!      ierr = NF_DEF_DIM (nid, "subsurface_layers",nsoilmx,idim_nsoilmx)
+      ierr = NF_DEF_DIM (nid, "bandsIR",L_NSPECTI,idim_bandsIR)
+
+      ierr = NF_ENDDEF(nid)
+
+c  Contol parameters for this run
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "controle", NF_DOUBLE, 1, 
+     .       idim_index,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "controle", NF_FLOAT, 1, 
+     .       idim_index,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 18,
+     .                       "Control parameters")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,tab_cntrl)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,tab_cntrl)
+#endif
+
+c --------------------------
+c  longitudes and latitudes
+
+
+c$$$      ierr = NF_REDEF (nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_DEF_VAR (nid, "rlonu", NF_DOUBLE, 1, idim_rlonu,nvarid)
+c$$$#else
+c$$$      ierr = NF_DEF_VAR (nid, "rlonu", NF_FLOAT, 1, idim_rlonu,nvarid)
+c$$$#endif
+c$$$      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 21,
+c$$$     .                       "Longitudes at u nodes")
+c$$$      ierr = NF_ENDDEF(nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlonu/pi*180)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlonu/pi*180)
+c$$$#endif
+
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr =NF_DEF_VAR(nid, "latitude", NF_DOUBLE, 1, idim_rlatu,nvarid)
+#else
+      ierr =NF_DEF_VAR (nid, "latitude", NF_FLOAT, 1, idim_rlatu,nvarid)
+#endif
+      ierr =NF_PUT_ATT_TEXT(nid,nvarid,'units',13,"degrees_north")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 14,
+     .      "North latitude")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlatu/pi*180)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlatu/pi*180)
+#endif
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr =NF_DEF_VAR(nid,"longitude", NF_DOUBLE, 1, idim_rlonv,nvarid)
+#else
+      ierr = NF_DEF_VAR(nid,"longitude", NF_FLOAT, 1, idim_rlonv,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 14,
+     .      "East longitude")
+      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'units',12,"degrees_east")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlonv/pi*180)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlonv/pi*180)
+#endif
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "altitude", NF_DOUBLE, 1, 
+     .       idim_llm,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "altitude", NF_FLOAT, 1, 
+     .       idim_llm,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name",10,"pseudo-alt")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,'units',2,"km")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,'positive',2,"up")
+
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,pseudoalt)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,pseudoalt)
+#endif
+
+
+c$$$c --------------------------
+c$$$      ierr = NF_REDEF (nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_DEF_VAR (nid, "rlatv", NF_DOUBLE, 1, idim_rlatv,nvarid)
+c$$$#else
+c$$$      ierr = NF_DEF_VAR (nid, "rlatv", NF_FLOAT, 1, idim_rlatv,nvarid)
+c$$$#endif
+c$$$      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 20,
+c$$$     .                       "Latitudes at v nodes")
+c$$$      ierr = NF_ENDDEF(nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlatv/pi*180)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlatv/pi*180)
+c$$$#endif
+
+
+c$$$c --------------------------
+c$$$c  Vertical levels
+c$$$      call def_var(nid,"aps","hybrid pressure at midlayers ","Pa",
+c$$$     .            1,idim_llm,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,aps)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,aps)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"bps","hybrid sigma at midlayers"," ",
+c$$$     .            1,idim_llm,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,bps)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,bps)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"ap","hybrid pressure at interlayers","Pa",
+c$$$     .            1,idim_llmp1,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,ap)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,ap)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"bp","hybrid sigma at interlayers"," ",
+c$$$     .            1,idim_llmp1,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,bp)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,bp)
+c$$$#endif
+
+c$$$!-------------------------------
+c$$$! (soil) depth variable mlayer() (known from comsoil.h)
+c$$$!-------------------------------
+c$$$      ierr=NF_REDEF (nid) ! Enter NetCDF (re-)define mode
+c$$$      ! define variable
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr=NF_DEF_VAR(nid,"soildepth",NF_DOUBLE,1,idim_nsoilmx,nvarid)
+c$$$#else
+c$$$      ierr=NF_DEF_VAR(nid,"soildepth",NF_FLOAT,1,idim_nsoilmx,nvarid)
+c$$$#endif
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 20,
+c$$$     .                        "Soil mid-layer depth")
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"units",1,"m")
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"positive",4,"down")
+c$$$      ierr=NF_ENDDEF(nid) ! Leave NetCDF define mode
+c$$$      ! write variable
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr=NF_PUT_VAR_DOUBLE (nid,nvarid,mlayer)
+c$$$#else
+c$$$      ierr=NF_PUT_VAR_REAL (nid,nvarid,mlayer)
+c$$$#endif
+
+!-------------------------------
+! Number of bands in the IR
+!-------------------------------
+
+      ierr=NF_REDEF (nid) ! Enter NetCDF (re-)define mode
+      ! define variable
+#ifdef NC_DOUBLE
+      ierr=NF_DEF_VAR(nid,"bandsIR",NF_DOUBLE,1,idim_bandsIR,nvarid)
+#else
+      ierr=NF_DEF_VAR(nid,"bandsIR",NF_FLOAT,1,idim_bandsIR,nvarid)
+#endif
+      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 27,
+     .                        "Band limits in the infrared")
+      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"units",1,"cm^-1")
+      ierr=NF_ENDDEF(nid) ! Leave NetCDF define mode
+      ! write variable
+#ifdef NC_DOUBLE
+      ierr=NF_PUT_VAR_DOUBLE (nid,nvarid,dble(WAVEI))
+#else
+      ierr=NF_PUT_VAR_REAL (nid,nvarid,real(WAVEI))
+#endif
+
+c
+c --------------------------
+c  Mesh area and conversion coefficients cov. <-> contra. <--> natural
+
+      id(1)=idim_rlonu
+      id(2)=idim_rlatu
+c
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "cu", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "cu", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 40,
+     .             "Conversion coefficients cov <--> natural")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,cu)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,cu)
+#endif
+c
+      id(1)=idim_rlonv
+      id(2)=idim_rlatv
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "cv", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "cv", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 40,
+     .             "Conversion coefficients cov <--> natural")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,cv)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,cv)
+#endif
+c
+      id(1)=idim_rlonv
+      id(2)=idim_rlatu
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "aire", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "aire", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 9,
+     .                       "Mesh area")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,aire)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,aire)
+#endif
+
+c  Surface geopotential
+      id(1)=idim_rlonv
+      id(2)=idim_rlatu
+
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "phisinit", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "phisinit", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 27,
+     .                       "Geopotential at the surface")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,phis)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,phis)
+#endif,
+
+
+!      write(*,*)'iniwrite: iim,jjm,llm,idayref',iim,jjm,llm,idayref
+!      write(*,*)'iniwrite: rad,omeg,g,mugaz,rcp',rad,omeg,g,mugaz,rcp
+!      write(*,*)'iniwrite: daysec,dtphys',daysec,dtphys
+
+      END
Index: /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F	(revision 305)
+++ /trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F	(revision 305)
@@ -0,0 +1,391 @@
+      SUBROUTINE iniwrite_specVI(nid,idayref,phis)
+
+      use radinc_h, only: L_NSPECTV
+      use radcommon_h, only: WAVEV
+
+      implicit none
+
+c=======================================================================
+c
+c   Auteur:  L. Fairhead  ,  P. Le Van, Y. Wanherdrick, F. Forget
+c   -------
+c
+c   Objet:
+c   ------
+c
+c   'Initialize' the diagfi_spec.nc file: write down dimensions as well
+c   as time-independent fields (e.g: geopotential, mesh area, ...)
+c
+c=======================================================================
+c-----------------------------------------------------------------------
+c   Declarations:
+c   -------------
+
+#include "dimensions.h"
+#include "paramet.h"
+!include "comconst.h"
+#include "comcstfi.h"
+#include "comvert.h"
+#include "comgeom.h"
+#include "temps.h"
+#include "ener.h"
+#include "logic.h"
+#include "netcdf.inc"
+#include "description.h"
+#include "serre.h"
+#include"dimphys.h"
+#include"comsoil.h"
+
+c   Arguments:
+c   ----------
+
+      integer nid        ! NetCDF file ID
+      INTEGER*4 idayref  ! date (initial date for this run)
+      REAL phis(ip1jmp1) ! surface geopotential
+
+c   Local:
+c   ------
+      INTEGER length,l
+      parameter (length = 100)
+      REAL tab_cntrl(length) ! run parameters are stored in this array
+      INTEGER ierr
+
+      integer :: nvarid,idim_index,idim_rlonu,idim_rlonv
+      integer :: idim_rlatu,idim_rlatv,idim_llmp1,idim_llm
+ !     integer :: idim_nsoilmx ! "subsurface_layers" dimension ID #
+      integer :: idim_bandsVI ! "bandsIR" dimension ID #
+      integer, dimension(2) :: id  
+
+c-----------------------------------------------------------------------
+
+      DO l=1,length
+         tab_cntrl(l)=0.
+      ENDDO
+      tab_cntrl(1)  = FLOAT(iim)
+      tab_cntrl(2)  = FLOAT(jjm)
+      tab_cntrl(3)  = FLOAT(llm)
+      tab_cntrl(4)  = FLOAT(idayref)
+      tab_cntrl(5)  = rad
+      tab_cntrl(6)  = omeg
+      tab_cntrl(7)  = g
+      tab_cntrl(8)  = mugaz
+      tab_cntrl(9)  = rcp
+      tab_cntrl(10) = daysec
+      tab_cntrl(11) = dtphys
+      tab_cntrl(12) = etot0
+      tab_cntrl(13) = ptot0
+      tab_cntrl(14) = ztot0
+      tab_cntrl(15) = stot0
+      tab_cntrl(16) = ang0
+c
+c    ..........    P.Le Van  ( ajout le 8/04/96 )    .........
+c         .....        parametres  pour le zoom          ......   
+      tab_cntrl(17)  = clon
+      tab_cntrl(18)  = clat
+      tab_cntrl(19)  = grossismx
+      tab_cntrl(20)  = grossismy
+c
+c     .....   ajout  le 6/05/97 et le 15/10/97  .......
+c
+      IF ( fxyhypb )   THEN
+        tab_cntrl(21) = 1.
+        tab_cntrl(22) = dzoomx
+        tab_cntrl(23) = dzoomy
+      ELSE
+        tab_cntrl(21) = 0.
+        tab_cntrl(22) = dzoomx
+        tab_cntrl(23) = dzoomy
+        tab_cntrl(24) = 0.
+        IF( ysinus )  tab_cntrl(24) = 1.
+      ENDIF
+
+c    .........................................................
+
+! Define dimensions
+    
+      ierr = NF_REDEF (nid)
+
+      ierr = NF_DEF_DIM (nid, "index", length, idim_index)
+!      ierr = NF_DEF_DIM (nid, "rlonu", iip1, idim_rlonu)
+      ierr = NF_DEF_DIM (nid, "latitude", jjp1, idim_rlatu)
+      ierr = NF_DEF_DIM (nid, "longitude", iip1, idim_rlonv)
+!      ierr = NF_DEF_DIM (nid, "rlatv", jjm, idim_rlatv)
+!      ierr = NF_DEF_DIM (nid, "interlayer", (llm+1), idim_llmp1)
+      ierr = NF_DEF_DIM (nid, "altitude", llm, idim_llm)
+!      ierr = NF_DEF_DIM (nid, "subsurface_layers",nsoilmx,idim_nsoilmx)
+      ierr = NF_DEF_DIM (nid, "bandsVI",L_NSPECTV,idim_bandsVI)
+
+      ierr = NF_ENDDEF(nid)
+
+c  Contol parameters for this run
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "controle", NF_DOUBLE, 1, 
+     .       idim_index,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "controle", NF_FLOAT, 1, 
+     .       idim_index,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 18,
+     .                       "Control parameters")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,tab_cntrl)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,tab_cntrl)
+#endif
+
+c --------------------------
+c  longitudes and latitudes
+
+
+c$$$      ierr = NF_REDEF (nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_DEF_VAR (nid, "rlonu", NF_DOUBLE, 1, idim_rlonu,nvarid)
+c$$$#else
+c$$$      ierr = NF_DEF_VAR (nid, "rlonu", NF_FLOAT, 1, idim_rlonu,nvarid)
+c$$$#endif
+c$$$      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 21,
+c$$$     .                       "Longitudes at u nodes")
+c$$$      ierr = NF_ENDDEF(nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlonu/pi*180)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlonu/pi*180)
+c$$$#endif
+
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr =NF_DEF_VAR(nid, "latitude", NF_DOUBLE, 1, idim_rlatu,nvarid)
+#else
+      ierr =NF_DEF_VAR (nid, "latitude", NF_FLOAT, 1, idim_rlatu,nvarid)
+#endif
+      ierr =NF_PUT_ATT_TEXT(nid,nvarid,'units',13,"degrees_north")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 14,
+     .      "North latitude")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlatu/pi*180)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlatu/pi*180)
+#endif
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr =NF_DEF_VAR(nid,"longitude", NF_DOUBLE, 1, idim_rlonv,nvarid)
+#else
+      ierr = NF_DEF_VAR(nid,"longitude", NF_FLOAT, 1, idim_rlonv,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 14,
+     .      "East longitude")
+      ierr = NF_PUT_ATT_TEXT(nid,nvarid,'units',12,"degrees_east")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlonv/pi*180)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlonv/pi*180)
+#endif
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "altitude", NF_DOUBLE, 1, 
+     .       idim_llm,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "altitude", NF_FLOAT, 1, 
+     .       idim_llm,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"long_name",10,"pseudo-alt")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,'units',2,"km")
+      ierr = NF_PUT_ATT_TEXT (nid,nvarid,'positive',2,"up")
+
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,pseudoalt)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,pseudoalt)
+#endif
+
+
+c$$$c --------------------------
+c$$$      ierr = NF_REDEF (nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_DEF_VAR (nid, "rlatv", NF_DOUBLE, 1, idim_rlatv,nvarid)
+c$$$#else
+c$$$      ierr = NF_DEF_VAR (nid, "rlatv", NF_FLOAT, 1, idim_rlatv,nvarid)
+c$$$#endif
+c$$$      ierr = NF_PUT_ATT_TEXT (nid,nvarid,"title", 20,
+c$$$     .                       "Latitudes at v nodes")
+c$$$      ierr = NF_ENDDEF(nid)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,rlatv/pi*180)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,rlatv/pi*180)
+c$$$#endif
+
+
+c$$$c --------------------------
+c$$$c  Vertical levels
+c$$$      call def_var(nid,"aps","hybrid pressure at midlayers ","Pa",
+c$$$     .            1,idim_llm,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,aps)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,aps)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"bps","hybrid sigma at midlayers"," ",
+c$$$     .            1,idim_llm,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,bps)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,bps)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"ap","hybrid pressure at interlayers","Pa",
+c$$$     .            1,idim_llmp1,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,ap)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,ap)
+c$$$#endif
+c$$$
+c$$$      call def_var(nid,"bp","hybrid sigma at interlayers"," ",
+c$$$     .            1,idim_llmp1,nvarid,ierr)
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,bp)
+c$$$#else
+c$$$      ierr = NF_PUT_VAR_REAL (nid,nvarid,bp)
+c$$$#endif
+
+c$$$!-------------------------------
+c$$$! (soil) depth variable mlayer() (known from comsoil.h)
+c$$$!-------------------------------
+c$$$      ierr=NF_REDEF (nid) ! Enter NetCDF (re-)define mode
+c$$$      ! define variable
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr=NF_DEF_VAR(nid,"soildepth",NF_DOUBLE,1,idim_nsoilmx,nvarid)
+c$$$#else
+c$$$      ierr=NF_DEF_VAR(nid,"soildepth",NF_FLOAT,1,idim_nsoilmx,nvarid)
+c$$$#endif
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 20,
+c$$$     .                        "Soil mid-layer depth")
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"units",1,"m")
+c$$$      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"positive",4,"down")
+c$$$      ierr=NF_ENDDEF(nid) ! Leave NetCDF define mode
+c$$$      ! write variable
+c$$$#ifdef NC_DOUBLE
+c$$$      ierr=NF_PUT_VAR_DOUBLE (nid,nvarid,mlayer)
+c$$$#else
+c$$$      ierr=NF_PUT_VAR_REAL (nid,nvarid,mlayer)
+c$$$#endif
+
+!-------------------------------
+! Number of bands in the IR
+!-------------------------------
+
+      ierr=NF_REDEF (nid) ! Enter NetCDF (re-)define mode
+      ! define variable
+#ifdef NC_DOUBLE
+      ierr=NF_DEF_VAR(nid,"bandsVI",NF_DOUBLE,1,idim_bandsVI,nvarid)
+#else
+      ierr=NF_DEF_VAR(nid,"bandsVI",NF_FLOAT,1,idim_bandsVI,nvarid)
+#endif
+      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"long_name", 27,
+     .                        "Band limits in the visible")
+      ierr=NF_PUT_ATT_TEXT (nid,nvarid,"units",1,"cm^-1")
+      ierr=NF_ENDDEF(nid) ! Leave NetCDF define mode
+      ! write variable
+#ifdef NC_DOUBLE
+      ierr=NF_PUT_VAR_DOUBLE (nid,nvarid,dble(WAVEV))
+#else
+      ierr=NF_PUT_VAR_REAL (nid,nvarid,real(WAVEV))
+#endif
+
+c
+c --------------------------
+c  Mesh area and conversion coefficients cov. <-> contra. <--> natural
+
+      id(1)=idim_rlonu
+      id(2)=idim_rlatu
+c
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "cu", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "cu", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 40,
+     .             "Conversion coefficients cov <--> natural")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,cu)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,cu)
+#endif
+c
+      id(1)=idim_rlonv
+      id(2)=idim_rlatv
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "cv", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "cv", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 40,
+     .             "Conversion coefficients cov <--> natural")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,cv)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,cv)
+#endif
+c
+      id(1)=idim_rlonv
+      id(2)=idim_rlatu
+c
+c --------------------------
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "aire", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "aire", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 9,
+     .                       "Mesh area")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,aire)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,aire)
+#endif
+
+c  Surface geopotential
+      id(1)=idim_rlonv
+      id(2)=idim_rlatu
+
+      ierr = NF_REDEF (nid)
+#ifdef NC_DOUBLE
+      ierr = NF_DEF_VAR (nid, "phisinit", NF_DOUBLE, 2, id,nvarid)
+#else
+      ierr = NF_DEF_VAR (nid, "phisinit", NF_FLOAT, 2, id,nvarid)
+#endif
+      ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 27,
+     .                       "Geopotential at the surface")
+      ierr = NF_ENDDEF(nid)
+#ifdef NC_DOUBLE
+      ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,phis)
+#else
+      ierr = NF_PUT_VAR_REAL (nid,nvarid,phis)
+#endif,
+
+
+!      write(*,*)'iniwrite: iim,jjm,llm,idayref',iim,jjm,llm,idayref
+!      write(*,*)'iniwrite: rad,omeg,g,mugaz,rcp',rad,omeg,g,mugaz,rcp
+!      write(*,*)'iniwrite: daysec,dtphys',daysec,dtphys
+
+      END
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 304)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 305)
@@ -27,5 +27,4 @@
       integer nS,nT
       parameter(nS=1649)
-!      parameter(nT=7)
       parameter(nT=14)
 
@@ -34,5 +33,4 @@
       double precision temp_arr(nT)
       double precision abs_arr(nS,nT)
-      !double precision data_tmp(nT+1)
       double precision data_tmp(nT/2+1)
 
@@ -52,5 +50,5 @@
 
          ! cold
-         dt_file=datafile(1:LEN_TRIM(datafile))//'/H2H2_CIA_LT.dat'
+         dt_file=datafile(1:LEN_TRIM(datafile))//'/continuum_data/H2H2_CIA_LT.dat'
          open(33,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
@@ -69,5 +67,5 @@
 
          ! hot
-         dt_file=datafile(1:LEN_TRIM(datafile))//'/H2H2_CIA_HT.dat'
+         dt_file=datafile(1:LEN_TRIM(datafile))//'/continuum_data/H2H2_CIA_HT.dat'
          open(34,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
@@ -106,5 +104,5 @@
          print*,'   pressure ',pres,' Pa'
 
-         call bilinear(wn_arr,temp_arr,nS,nT,abs_arr,wn,temp,abcoef)
+         call bilinearH2H2(wn_arr,temp_arr,abs_arr,wn,temp,abcoef)
 
          print*,'the absorption is ',abcoef,' cm^-1 amg^-2'
@@ -117,5 +115,5 @@
       else
   
-         call bilinear(wn_arr,temp_arr,nS,nT,abs_arr,wn,temp,abcoef)
+         call bilinearH2H2(wn_arr,temp_arr,abs_arr,wn,temp,abcoef)
          abcoef=abcoef*100.0*amagat**2 ! convert to m^-1
          !print*,'The absorption is ',abcoef,' m^-1'
@@ -130,9 +128,6 @@
 
 
-
-! put as separate file eventually
-
 !-------------------------------------------------------------------------
-      subroutine bilinear(x_arr,y_arr,nX,nY,f2d_arr,x_in,y_in,f)
+      subroutine bilinearH2H2(x_arr,y_arr,f2d_arr,x_in,y_in,f)
 !     Necessary for interpolation of continuum data
 
@@ -140,4 +135,6 @@
 
       integer nX,nY,i,j,a,b
+      parameter(nX=1649)
+      parameter(nY=14)
 
       real*8 x_in,y_in,x,y,x1,x2,y1,y2
@@ -176,5 +173,5 @@
       if ((y.lt.y_arr(1)).or.(y.gt.y_arr(nY))) then
          write(*,*) 'Warning from bilinear.for:'
-         write(*,*) 'Extrapolating outside H2-H2 CIA temperature range!'
+         write(*,*) 'Outside continuum temperature range!'
          if(y.lt.y_arr(1))then
             y=y_arr(1)+0.01
@@ -212,3 +209,3 @@
       
       return
-    end subroutine bilinear
+    end subroutine bilinearH2H2
